Skip to main content
POST
/
v1
/
sdk
/
bootstrap-context
Load an agent’s starting context.
curl --request POST \
  --url https://api.reload.chat/v1/sdk/bootstrap-context \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "agent_identity_id": "<string>",
  "scope_id": "<string>"
}
'
{
  "data": {
    "current_decisions": [
      {
        "id": "<string>",
        "org_id": "<string>",
        "content": "<string>",
        "confidence": 123,
        "version": 123,
        "ttl_seconds": 123,
        "created_at": "2023-11-07T05:31:56Z",
        "last_reinforced_at": "2023-11-07T05:31:56Z",
        "expires_at": "2023-11-07T05:31:56Z",
        "invalidated_at": "2023-11-07T05:31:56Z",
        "invalidated_by": "<string>",
        "invalidated_reason": "<string>",
        "content_hash": "<string>",
        "metadata": {}
      }
    ],
    "active_constraints": [
      {
        "id": "<string>",
        "org_id": "<string>",
        "content": "<string>",
        "confidence": 123,
        "version": 123,
        "ttl_seconds": 123,
        "created_at": "2023-11-07T05:31:56Z",
        "last_reinforced_at": "2023-11-07T05:31:56Z",
        "expires_at": "2023-11-07T05:31:56Z",
        "invalidated_at": "2023-11-07T05:31:56Z",
        "invalidated_by": "<string>",
        "invalidated_reason": "<string>",
        "content_hash": "<string>",
        "metadata": {}
      }
    ],
    "open_questions": [
      {
        "id": "<string>",
        "org_id": "<string>",
        "content": "<string>",
        "confidence": 123,
        "version": 123,
        "ttl_seconds": 123,
        "created_at": "2023-11-07T05:31:56Z",
        "last_reinforced_at": "2023-11-07T05:31:56Z",
        "expires_at": "2023-11-07T05:31:56Z",
        "invalidated_at": "2023-11-07T05:31:56Z",
        "invalidated_by": "<string>",
        "invalidated_reason": "<string>",
        "content_hash": "<string>",
        "metadata": {}
      }
    ],
    "scope_membership": [
      {
        "id": "<string>",
        "org_id": "<string>",
        "name": "<string>"
      }
    ],
    "recent_activity": "<string>"
  },
  "meta": {
    "requestId": "<string>",
    "timestamp": "2023-11-07T05:31:56Z",
    "pagination": {
      "hasMore": true,
      "cursor": "<string>",
      "total": 123,
      "historyCutoff": {
        "beyondCount": 123,
        "cutoffAt": "2023-11-07T05:31:56Z"
      }
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
agent_identity_id
string
required
scope_id
string

Response

Success

success
enum<boolean>
required
Available options:
true
data
object
required
meta
object